# LBSettings Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RAS Load-Balancer Settings

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒LBSettings

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                          | Name                  | Description |                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------- | --------------------- | ----------- | ------------------------------------------------------------------------------------------------- |
| Boolean                                                                                                                       | CPUCounter            |             | Whether the CPU counter is enabled or disabled.                                                   |
| UInt32                                                                                                                        | DeadTimeout           |             | The value (in number of seconds) of the "Declare Agent dead if not responding for" property.      |
| Boolean                                                                                                                       | DisableRDSLB          |             | Whether the "Disable Microsoft RD Connection Broker" option is enabled or disabled.               |
| UInt32                                                                                                                        | MaxConnectionRequests |             | Maximum number of connection requests for an Agent.                                               |
| Boolean                                                                                                                       | MemoryCounter         |             | Whether the Memory counter is enabled or disabled.                                                |
| [LBMethod](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/LBMethod.html) | Method                |             | Specifies the load balancing method (Round-robin or Resource based).                              |
| Boolean                                                                                                                       | ReconnectDisconnect   |             | Whether the "Reconnect to disconnected sessions" option is enabled or disabled.                   |
| Boolean                                                                                                                       | ReconnectUser         |             | Whether the "Limit user to one session per desktop" option is enabled or disabled.                |
| Boolean                                                                                                                       | ReconnectUsingIPOnly  |             | Whether the "Reconnect sessions using client's IP address only" option is enabled or disabled.    |
| UInt32                                                                                                                        | RefreshTimeout        |             | The value (in number of seconds) of the "Agent Refresh Time" property.                            |
| Boolean                                                                                                                       | Replicate             |             | Whether the "Replicate settings" option (replicate settings to all sites) is enabled or disabled. |
| Boolean                                                                                                                       | SessionsCounter       |             | Whether the Sessions counter is enabled or disabled.                                              |
| UInt32                                                                                                                        | SiteId                |             | The site ID to which the RAS LB settings refer.                                                   |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/lbsettings-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
